0

My application running AWS Bitnami platform. I am trying to upload sample data using composer after commands show warning message below


Do you want to store credentials for repo.magento.com in /bitnami/magento/var/composer_home/auth.json ? [Yn] y Warning from https://repo.packagist.org: You are using an outdated version of Composer. Composer 2 is now available and you should upgrade. See https://getcomposer.org/2 ./composer.json has been updated Loading composer repositories with package information Warning from https://repo.packagist.org: You are using an outdated version of Composer. Composer 2 is now available and you should upgrade. See https://getcomposer.org/2 Updating dependencies (including require-dev)

Installation failed, reverting ./composer.json to its original content.


Show above error.How can I solve this problem? What is the best solution for this warning? Can I Composer with continue version 1 or Upgrade with Version 2? Thanks for advance for your reply

0

I am not sure which m2 version are you using, but the magento tech stack documentation state that m2.4.2 is compatible with composer 1.x & 2.x, however, m2.4.1 is compatible with only composer 1.x. So upgrading composer while using 2.4.1 is a big no-no.

Even if you get this warning, this is unlikely that it's the reason why the installation failed.

Try adding the sample data by running the following commands:

bin/magento sampledata:deploy
bin/magento setup:upgrade

(Source https://devdocs.magento.com/guides/v2.4/install-gde/install/sample-data-after-composer.html)

Good luck!

4
  • I am using magento 2.4.1 version and using composer 1 version.You mention installation failed.Website theme loading my custom theme. is this theme any relation problem with install sample data?
    – junaidh
    Feb 27 at 13:47
  • Could be, but i would have expected some more details in the displayed error :| nevertheless, don't upgrade composer of you are using m2.4.1. Feb 27 at 14:09
  • Keeping composer 1 version.....I changed magento default theme luma...problem existing agian....I think problem from aws bitnami magento application
    – junaidh
    Mar 1 at 13:02
  • sorry to hear that! :( Mar 1 at 13:12

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.